CLEANASN(1)

NAME
cleanasn - clean up irregularities in NCBI ASN.1 objects

SYNOPSIS
cleanasn [-] [-D str] [-F str] [-K str] [-L filename] [-M filename] [-N str] [-P] [-Q str] [-R] [-T] [-U str] [-X str] [-a str] [-b] [-c] [-f str] [-i filename] [-m str] [-o filename] [-p path] [-q path] [-r path] [-x ext]

DESCRIPTION
cleanasn is a utility program to clean up irregularities in NCBI ASN.1 objects.

OPTIONS
A summary of options is included below.

-   Print usage message

-D str
    Clean up descriptors, per the flags in str:
    t   Remove Title

-F str
    Clean up features, per the flags in str:
    u   Remove User-objects
    d   Remove db_xrefs
    r   Remove redundant gene xrefs

-K str
    Perform a general cleanup, per the flags in str:
    b   BasicSeqEntryCleanup
    p   C++ BasicCleanup (via an external utility)
    s   SeriousSeqEntryCleanup
    g   GpipeSeqEntryCleanup
    n   Normalize Descriptor Order
    u   Remove NcbiCleanup User Objects

-L filename
    Log file

-M filename
    Macro file

-N str
    Clean up links, per the flags in str:
    o   LinkCDSmRNAbyOverlap
    p   LinkCDSmRNAbyProduct
    r   ReassignFeatureIDs
    c   ClearFeatureIDs

-P  Publication Lookup

-Q str
    Report:
    r   ASN.1 BSEC/SSEC Report
    g   GenBank SSEC Diff
    m   Modernization

-R  Remote fetching from ID (NCBI sequence databases)

-T  Taxonomy Lookup

-U str
    Modernize, per the flags in str:
    g   Genes
    r   RNA
    p   PCR Primers

-X str
    Miscellaneous options, per str:
    d   Automatic definition line

-a str
    ASN.1 type
    a   Any (default)
    e   Seq-entry
    b   Bioseq
    s   Bioseq-set
    m   Seq-submit
    t   Batch Processing [String]

-b  Input ASN.1 is Binary

-c  Input ASN.1 is Compressed

-f str
    Substring filter

-i filename
    Single input file (defaults to stdin)

-m str
    Flatfile mode:
    r   Release
    e   Entrez
    s   Sequin
    d   Dump

-o filename
    Single output file (defaults to stdout)

-p path
    Process all matching files in path

-q path
    Ffdiff executable (default is /netopt/genbank/subtool/bin/ffdiff)

-r path
    Path for results

-x ext
    File selection suffix for use with -p (defaults to .ent)

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asnval (1), sequin (1).